package net.xdclass.shopmanager.service;

import net.xdclass.shopmanager.model.*;

import java.util.List;

public interface SubService  {

    //获取板坯信息
    List<SlabInfoDO> getSlabInfo();

    //获取订单信息
    List<PmProContDO> getOrderInfo();

    //    生产合同产品属性表
    List<PmProContProdAttrDO> getPmProCountProdAttr();

    //    合同产线工艺参数表
    List<PmContMscTechDO> getPmContMscTech();

    //    组板设计规则集
    List<PmPdRuleSetDO> getPmPdRuleSet();

    //    组板设计规则集
    List<PmPdRuleItemDO> getPmPdRuleItem();

    //    最小轧制厚度公差范围基准表
    List<PmMinThickTolBtDO> getPmMinThickTolBt();

    //    钢板轧制规格对应收得率基准表
    List<PmPlateSpecYieldBtDO> getPmPlateSpecYieldBt();

    //    强度级别对照基准表
    List<PmStCodeBtDO> getPmStCodeBt();

    //    粗切位置决定基准表
    List<PmCutPlaceBtDO> getPmCutPlaceBt();

    //    组板常数基准表
    List<PmPdConstBtDO> getPmPdConstBt();

    //    钢板切缝切头尾范围基准表
    List<PmPlateCutLenBtDO> getPmPlateCutLenBt();

    //    组板临时收得率基准表
    List<PmPdTmpYieldBtDO> getPmPdTmpYieldBt();

    //    钢板切边量基准表
    List<PmPlateTrimBtDO> getPmPlateTrimBt();

    //    余材组板内部钢种以优充次对照表
    List<PmSlabReplBtDO> getPmSlabReplBt();

    //    热处理炉基准规格表
    List<PmHeatTreatFurnaceBtDO> getPmHeatTreatFurnaceBt();

    //    特殊钢种余量增加表
    List<PmSpeStAddvBtDO> getPmSpeStAddvBt();

    //合同处理成分结果数据
    List<QdToLineupResultCheDO> getQdToLineupResultChe();

    //合同处理坯料性能要求
    List<QdToLineupResultSlabphyDO> getQdToLineupResultSlabphy();

    //炉次工序成分代表实绩表
    List<QeTqHeatcheStandResultDO> getQeTqHeatcheStandResult();

    //炉次待委托表
    List<QeTqPonoWaitTestDO> getQeTqPonoWaitTest();

    //坯料低倍委托实绩表
    List<QeTqSlabMacroResultDO> getQeTqSlabMacroResult();

    //坯料低倍委托实绩表
    List<PmSlabSpecBtDO> getPmSlabSpecBt();
}
